﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using PhoenixCards.GUI;
using PhoenixDLL.Class;
using Microsoft.Win32;
using Utils.Misc;
using Components.SplashBar;
using PhoenixDLL.RegistryConfiguration;

namespace PhoenixCards
{
    static class Program
    {
        /// <summary>
        /// Point d'entrée principal de l'application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            try
            {
                #region Vérification de la base de registre
                RegistryManager rm = new RegistryManager(PhoenixSuite.Pata);
                if (!rm.ProcessRegistry())
                {
                    DialogResult dr = MessageBox.Show("Le chemin de l'application n'est pas le même que le dernière fois."
                    + " Voulez-vous enregistrer le nouvel emplacement?", "Question", MessageBoxButtons.YesNo,
                    MessageBoxIcon.Asterisk);

                    if (dr == DialogResult.Yes) rm.ResetPath();
                }
                #endregion

                Application.Run(new fr_Main());
            }
            catch (Exception ex)
            {
                Components.ErrorCatching.fr_ErrorCatching fr = new Components.ErrorCatching.fr_ErrorCatching();
                Options opt = Options.GetInstance();
                fr.SMTPServer = opt.SMTPServer;
                fr.SMTPPort = opt.SMTPPort;
                fr.SMTPPassword = opt.SMTPPassword;

                fr.ExceptionToDisplay = ex;
                fr.Remark = "Une erreur non traitée est survenue. Voulez-vous envoyer ces informations au développeur?";
                fr.ShowDialog();
            }
        }
    }
}